\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{art2000}[2000/09/01 Classe pour les DS et
feuilles d'exercices]

\LoadClass[a4paper]{article}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
\RequirePackage{epsfig}
\RequirePackage{frmin}
\RequirePackage{easymat}
\RequirePackage{geometry}
\RequirePackage{mac2000}
%\RequirePackage[graphics,floats,textmath,displaymath,delayed]{preview}
%\RequirePackage[lflt]{floatflt}
% \RequirePackage{graphics}
% \RequirePackage{ite}
% \RequirePackage{pstricks}
% \RequirePackage{fr}
% \DeclareOption{oral}{\RequirePackage{multicol}%
%   \RequirePackage{graphics}%
%   \RequirePackage{ite}%
%   \RequirePackage{frmin}}
% \DeclareOption{pstricks}{\RequirePackage{pstricks}\RequirePackage{frmin}}
% \DeclareOption{fr}{\RequirePackage{fr}}
% \DeclareOption{frmin}{\RequirePackage{frmin}}
%\DeclareOption{multicol}{\RequirePackage{multicol}}
\DeclareOption{fleqn}{\PassOptionsToPackage{amsmath}{fleqn}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}

%%% Dfinition des marges
\geometry{a4paper,width=17.5cm,height=26cm,left=1.75cm,top=1.75cm,
  headheight=0cm,headsep=0cm, footskip=0cm}
\setlength{\parindent}{0cm}
\setlength{\parskip}{1ex}
\pagestyle{empty}
%\author{Nicolas FRANCOIS\\nicolas.francois@hol.fr}
%\date{}

%%% Affichage du titre
% \newcommand{\titre}[1]{\begin{center}
%   {\LARGE \textbf{#1} \vspace*{0.5cm}}
%   \end{center}}

% \newcommand{\soustitre}[1]{\begin{center}\vspace*{0.25cm}
%   {\Large\textbf{#1}}\vspace*{0.1cm}
%   \end{center}}

% \newcommand{\soussoustitre}[1]{\begin{center}\vspace*{0.25cm}
%   {\large\textbf{#1}}%\vspace*{0.25cm}
% \end{center}}

\def\@maketitle{%
  \newpage
  \null
  \vskip 1.5em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
  \end{center}%
  \par
  \vskip 2em}
% \renewcommand\maketitle{\begin{titlepage}%
%   \let\footnotesize\small
%   \let\footnoterule\relax
%   \let \footnote \thanks
%   \null\vfil
%   \vskip 40\p@
%   \begin{center}%
%     {\LARGE \@title \par}%
%     \vskip 2em%
%   \end{center}\par
%   \@thanks
%   \vfil\null
%   \end{titlepage}%
%   \setcounter{footnote}{0}%
%   \global\let\thanks\relax
%   \global\let\maketitle\relax
%   \global\let\@thanks\@empty
%   \global\let\@author\@empty
%   \global\let\@date\@empty
%   \global\let\@title\@empty
%   \global\let\title\relax
%   \global\let\author\relax
%   \global\let\date\relax
%   \global\let\and\relax
% }
%%% Options gnrales
\everymath={\displaystyle}  % toutes les formules en displaystyle

\parentActives